Message: Re: cannot find -lXi Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: cannot find -lXi 

Forum: Installation and Configuration
Re: None cannot find -lXi (Aatif Imtiaz Butt)
Date: 20 Jul, 2010
From: Ben Morgan <Ben Morgan>

On Mon, 19 Jul 2010 23:28:56 GMT, Aatif Imtiaz Butt wrote:
> Hi On Scientific Linux 5.4 x86_64 (64-bit), I am trying to insalling
> Geant4 (version 9.3.p01) with CLHEP (2.0.4.5).
>
> Creating shared library
> /hepusers/aibutt/geant4/geant4.9.3.p01/lib/Linux-g++/libG4FR.so ...
> /usr/bin/ld: cannot find -lXi collect2: ld returned 1 exit status

You don't appear to have libXi installed on your system - check to see if you have libXi.so in either /usr/lib64 or possibly /usr/X11R6/lib64.

If it's not there, you'll need to install the appropriate rpms. I'm not an expert on the SL package system, but I would guess you'll need to install libXi and libXi-devel.

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Question: Re: cannot find -lXi {Help About Symbolic Link}   (Aatif Imtiaz Butt - 20 Jul, 2010)
(_ None: Re: cannot find -lXi {Help About Symbolic Link}   (Ben Morgan - 20 Jul, 2010)
 Add Message Add Message
to: "Re: cannot find -lXi"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]